import Vue from 'vue'
// const requireComponent_ = require.context('./', true, /index.vue$/)
// const obj={}
// requireComponent_.keys().forEach(fileName => {
//   const componentConfig = requireComponent_(fileName)
//   const { name } = componentConfig.default
//   if (name) {
//     Vue.component(name, componentConfig.default || componentConfig)
//     obj[name]=componentConfig
//   }
// })
// export default obj

import hsTree from './hs-tree/index.js';
import hsTags from './hs-tags/index.js';
import hsTabsQuerybiLinkTable from './hs-tabs-querybi-linkTable/index.js';
import hsTabs from './hs-tabs/index.js';
import hsTable from './hs-table/index.js';
import hsSwitch from './hs-switch/index.js';
import hsSelectPlus from './hs-select-plus/index.js';
import hsRadio from './hs-radio/index.js';
import hsLineBar from './hs-line-bar/index.js';
import hsInput from './hs-input/index.js';
import hsGantt from './hs-gantt/index.js';
import hsFile from './hs-file/index.js';
import hsDyncForm from './hs-dyncForm/index.js';
import hsDivider from './hs-divider/index.js';
import hsDialog from './hs-dialog/index.js';
import hsDatePicker from './hs-date-picker/index.js';
import hsComputed from './hs-computed/index.js';
import hsCheckboxGroup from './hs-checkbox-group/index.js';
import hsCheckbox from './hs-checkbox/index.js';
import hsCascader from './hs-cascader/index.js';

import hsButtonGroup from './hs-button-group/index.js';
import hsAction from './hs-action/index.js';
const components = [
  hsTree,
  hsTags,
  hsTabsQuerybiLinkTable,
  hsTabs,
  hsTable,
  hsSwitch,
  hsSelectPlus,
  hsRadio,
  hsLineBar,
  hsInput,
  hsGantt,
  hsFile,
  hsDyncForm,
  hsDivider,
  hsDialog,
  hsDatePicker,
  hsComputed,
  hsCheckboxGroup,
  hsCheckbox,
  hsCascader,
  hsButtonGroup,
  hsAction
]

const install = function (Vue, opts = {}) {
  components.map(component => {
    Vue.component(component.name, component);
  })
}

/* 支持使用标签的方式引入 */
if (typeof window !== 'undefined') {
  debugger
  install(window.Vue||Vue);
}


export default {
  install,
  hsTree,
  hsTags,
  hsTabsQuerybiLinkTable,
  hsTabs,
  hsTable,
  hsSwitch,
  hsSelectPlus,
  hsRadio,
  hsLineBar,
  hsInput,
  hsGantt,
  hsFile,
  hsDyncForm,
  hsDivider,
  hsDialog,
  hsDatePicker,
  hsComputed,
  hsCheckboxGroup,
  hsCheckbox,
  hsCascader,
  hsButtonGroup,
  hsAction
}